OAuth 2.0
Idea shared by Scarab - 12/16/2019 at 12:34 PM
Proposed
It would appear that GMail and GSuite are discontinuing access by "Less Secure Apps" entirely by June 15th, 2020 (with Feb 15th, 2021 being the final cut-off date for pre-existing LSA connections that are already configured and active before June 15th 2020). That means that as of June 15th of next year Remote POP, Remote IMAP, and Mailbox Migration in SmarterMail will no longer function when attempting to setup a connection to a Google Account.

To remedy this, SmarterToolsl would need to integrate OAuth 2.0 into the SmarterMail application to allow Remote POP, Remote IMAP, and Mailbox Migration to continue to function when connecting to Google Accounts after June 15th, 2020. To maintain compatibility with Google accounts the application must be updated to use OAuth 2.0 as a connection method. To get started, follow our developer guide on using OAuth 2.0 to access Google APIs. You can also refer to our guide on OAuth 2.0 for mobile & desktop apps.

Apparently SMTP to a Google Account will continue to function with LSA connections for the time being, although it is strongly encouraged by Google to consider adding OAuth 2.0 for this as well.

3 Replies

Reply to Thread
1
Derek Curtis Replied
Employee Post
Hi, Scarab. Interestingly, we're going to be putting out a blog post about this very topic in the next day or two -- there's more to it than simply changing over to OAuth 2.0. I'll link to it once it's live. 
Derek Curtis
COO
SmarterTools Inc.
(877) 357-6278
0
Good to hear that SmarterTools is already on it. Looking forward to the read.

Thx Derek!
1
Derek Curtis Replied
Employee Post
As mentioned, here's a link to the blog post about the Google API changes and the implications of their changes:

Derek Curtis
COO
SmarterTools Inc.
(877) 357-6278

Reply to Thread